# Generated by Django 2.1.4 on 2019-02-04 17:10

from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('tog', '0002_auto_20181213_1608'),
    ]

    operations = [
        migrations.CreateModel(
            name='Sync',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('completed_at', models.DateTimeField(blank=True)),
                ('success', models.BooleanField(default=False)),
                ('error', models.TextField(blank=True, max_length=300)),
            ],
        ),
        migrations.RemoveField(
            model_name='session',
            name='files',
        ),
        migrations.AddField(
            model_name='game',
            name='version',
            field=models.CharField(default=0, max_length=30),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='session',
            name='diffFile',
            field=models.FilePathField(blank=True, match='.*\\.zip$'),
        ),
        migrations.AddField(
            model_name='session',
            name='eventFile',
            field=models.FilePathField(blank=True, match='.*\\.zip$'),
        ),
        migrations.AddField(
            model_name='session',
            name='files_sent',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='session',
            name='gazeFile',
            field=models.FilePathField(blank=True, match='.*\\.zip$'),
        ),
        migrations.AddField(
            model_name='session',
            name='processed',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name='game',
            name='type',
            field=models.CharField(choices=[('training', 'Training'), ('cognitive', 'Cognitive'), ('entertainment', 'Entertainment')], max_length=1),
        ),
    ]
